Loading...
Searching...
No Matches
BALL::MMFF94PlaneParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94PlaneParameters:

## Public Types

typedef HashMap< String, double > | PlaneMap
| Map with the force constant.

## Public Member Functions

| MMFF94PlaneParameters ()
| Default constructor.
virtual | ~MMFF94PlaneParameters ()
| Destructor.
const MMFF94PlaneParameters & | operator= (const MMFF94PlaneParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | assignParameters (Index at1, Index at2, Index at3, Index at4, double &v) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)
String | getIndex_ (Position atom_type1, Position atom_type2, Position atom_type3, Position atom_type4) const

## Protected Attributes

PlaneMap | parameters_
| parameters
PlaneMap | buffered_parameters_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for out of plane bending (see MMFFOOR.PAR)

Definition at line 414 of file MMFF94Parameters.h.

## Member Typedef Documentation

## PlaneMap

typedef HashMap<String, double> BALL::MMFF94PlaneParameters::PlaneMap

Map with the force constant.

Definition at line 420 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94PlaneParameters()

BALL::MMFF94PlaneParameters::MMFF94PlaneParameters | ( |  | ) |

Default constructor.

## ~MMFF94PlaneParameters()

virtual BALL::MMFF94PlaneParameters::~MMFF94PlaneParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94PlaneParameters::assignParameters | ( | Index | at1,
|  | Index | at2,
|  | Index | at3,
|  | Index | at4,
|  | double & | v ) const

## clear()

virtual void BALL::MMFF94PlaneParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getIndex_()

String BALL::MMFF94PlaneParameters::getIndex_ | ( | Position | atom_type1,
|  | Position | atom_type2,
|  | Position | atom_type3,
|  | Position | atom_type4 ) const

protected

## operator=()

const MMFF94PlaneParameters & BALL::MMFF94PlaneParameters::operator= | ( | const MMFF94PlaneParameters & | param | ) |

Assignment operator.

## setup_()

virtual bool BALL::MMFF94PlaneParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## buffered_parameters_

PlaneMap BALL::MMFF94PlaneParameters::buffered_parameters_

mutable protected

Definition at line 449 of file MMFF94Parameters.h.

## parameters_

PlaneMap BALL::MMFF94PlaneParameters::parameters_

protected

parameters

Definition at line 448 of file MMFF94Parameters.h.